function love.load()
	--body

	world =	love.physics.newWorld(0, 0, 650, 650) --set a new world
	world:setGravity(0,700) -- set the world gravity
	--world:setMeter(64) -- set world meter which is 64px
	
	objects = {} -- all objects in a table
	
	objects.ground = {} --objects ground
    objects.ground.body = love.physics.newBody(world, 650/2, 625, 0, 0) --remember, the shape anchors to the body from its center
    objects.ground.shape = love.physics.newRectangleShape(objects.ground.body, 0, 0, 650, 50, 0) --anchor the shape to the body, and make it a width of 650
	
	
	objects.ball = {}
	objects.ball.x_velocity = 0
	objects.ball.y_velocity = 0
	objects.ball.body = love.physics.newBody(world,650/2,650/2,15,0)
	objects.ball.shape = love.physics.newCircleShape(objects.ball.body, 0,0,20)
	objects.ball.in_air = false
	
	objects.ball.body:setMassFromShapes()
	love.graphics.setBackgroundColor(255,255,255) --set white color
	love.graphics.setMode(650, 650, false, true, 0)
	dt = love.timer.getDelta( )
end

function love.update( dt )
	world:update(dt)
	x = objects.ball.body:getX()
	y = objects.ball.body:getY()
	velocity = objects.ball.body:getLinearVelocity()
	status = objects.ball.body:isDynamic()
	fps = love.timer.getFPS( )
	if love.keyboard.isDown("left") then
		objects.ball.body:applyForce(-90,0)
	elseif love.keyboard.isDown("right") then
		objects.ball.body:applyForce(90,0)
	end
end

function love.keypressed( key )
	if key == "up" then
		objects.ball.body:applyImpulse(0,200)
	end
end

function love.draw()
	-- body
	love.graphics.setColor(72, 160, 14)
	love.graphics.polygon("fill", objects.ground.shape:getPoints())
	
	love.graphics.setColor(193,47,14)
	love.graphics.circle("fill", objects.ball.body:getX(), objects.ball.body:getY(), objects.ball.shape:getRadius(), 100) -- we want 20 line segments to form the "circle"
	
	
	
	--debug and other information 
	love.graphics.setColor(0,0,0)
	love.graphics.print("fps: ",2,630)
	love.graphics.print(fps,26,630)
	love.graphics.print("(0,0)",0,0)
	love.graphics.print("(640,640)",589,635)
	love.graphics.print("(0,650)",0,650)
	love.graphics.print("Ball X:",0,30)
	love.graphics.print(x,40,30)
	love.graphics.print("Ball Y:",0,40)
	love.graphics.print(y,40,40)
	love.graphics.print("Velocity :",0,50)
	love.graphics.print(velocity,55,50)
	love.graphics.print("Dynamic :",0,60)
	if status then
		dynStatus = "yes"
	else
		dynStatus = "no"
	end
	love.graphics.print(dynStatus,55,60)
	--debug ends
end
